Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 779886 - dev-libs/boost-1.75.0 compilation fails
Summary: dev-libs/boost-1.75.0 compilation fails
Status: RESOLVED DUPLICATE of bug 724314
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Linux bug wranglers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-03 13:41 UTC by acab
Modified: 2021-04-03 13:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge_info.log,6.90 KB, text/plain)
2021-04-03 13:42 UTC, acab
Details
build log (file_779886.txt,215.27 KB, text/plain)
2021-04-03 13:45 UTC, acab
Details
failing file (xml_wgrammar.cpp,6.17 KB, text/x-c++src)
2021-04-03 13:47 UTC, acab
Details

Note You need to log in before you can comment on or make changes to this bug.
Description acab 2021-04-03 13:41:49 UTC
emerge fails with:

 * ERROR: dev-libs/boost-1.75.0::gentoo failed (compile phase):
 *   (no error message)
 * 
 * Call stack:
 *     ebuild.sh, line  125:  Called src_compile
 *   environment, line 3230:  Called multilib-minimal_src_compile
 *   environment, line 1934:  Called multilib_foreach_abi 'multilib-minimal_abi_src_compile'
 *   environment, line 2204:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 1881:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 1879:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_compile'
 *   environment, line  461:  Called multilib-minimal_abi_src_compile
 *   environment, line 1928:  Called multilib_src_compile
 *   environment, line 2416:  Called die
 * The specific snippet of code:
 *       ejam "${OPTIONS[@]}" || die;


emerge -pqv '=dev-libs/boost-1.75.0::gentoo'
[ebuild   R   ] dev-libs/boost-1.75.0  USE="bzip2 context icu nls python static-libs threads zlib -debug -doc -lzma -mpi -numpy -tools -zstd" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python3_8 python3_9* -python3_7* (-python3_6%)" 

Reproducible: Always

Steps to Reproduce:
1. simply emerge the package
Comment 1 acab 2021-04-03 13:42:23 UTC
Created attachment 697026 [details]
emerge --info
Comment 2 acab 2021-04-03 13:45:24 UTC
Created attachment 697029 [details]
build log
Comment 3 acab 2021-04-03 13:47:19 UTC
Created attachment 697032 [details]
failing file
Comment 4 Sam James archtester gentoo-dev Security 2021-04-03 13:53:34 UTC

*** This bug has been marked as a duplicate of bug 724314 ***